#ifndef _ARBRE_H
#define _ARBRE_H

#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>

typedef struct noeud {
    char l;
    struct noeud * fils;
    struct noeud * frere;
} Noeud, *Arbre;

/*   creerFeuille
 * Retourne un pointeur vers un noeud de l'arbre lexicographique contenant
 * le caractre pass en argument et n'ayant pas de fils ni de frre.
 * Retourne NULL si la cration de noeud choue.
 */
Noeud * creerFeuille(char c);

/*   detruireArbre
 * Libre l'arbre lxicographique pass en argument de la mmoire.
 */
void detruireArbre(Arbre a);

/*   insertion
 * Insre le mot pass en argument dans l'arbre lexicographique point.
 * Retourne 1 si l'insertion est russie, 0 sinon.
 */
int insertion(Arbre * a, char * mot);

/*   lecture
 * Lit le fichier pass en argument et ajoute chaque ligne  l'arbre
 * lexicographique donn.
 */
int lecture(FILE * f, Arbre * a);

/*    chercheLettre
 * Retourne le sous arbre de c s'il existe parmi les frres de dico, NULL sinon
 */
Arbre chercheLettre(Arbre dico, char c);

#endif /* _ARBRE_H */
