#ifndef _WORDDLE_H
#define _WORDDLE_H

#include <arbre.h>
#include <resolution.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

/*   init
 * Initialisation du programme :
 *  - lecture des arguments de la ligne de commande
 *  - cration du dictionnaire sous forme d'arbre lexicographique
 *  - lit un worddle sur l'entre standard
 */
void init(int argc, char ** argv, Arbre * dico, char *** worddle, int * taille);

/*   lecture_worddle
 * Lit un worddle ( tableau de caractres de taille : taille * taille )
 * sur l'entre standard.
 */
void lecture_worddle(char ** worddle, int taille);

/*
 * Libre la mmoire utilise par le programme
 */
void liberation(char ** worddle, ListMots * solution, Arbre dico, int taille);

#endif /* _WORDDLE_H */
